Commit 10676bba authored by Nigel Kukard's avatar Nigel Kukard
Browse files

Use new 'base' package

parent ff7807df
......@@ -47,20 +47,11 @@ class InstallBase(Plugin):
ili_state.output_callback('Installing base packages')
# Grab base package list from pacman
pacman = Pacman()
package_list = pacman.get_group_packages('base')
# We choose the kernel below...
package_list.remove('linux')
# Remove vi and replace with vim
package_list.remove('vi')
package_list.append('vim')
# Start off with the 'base' package
package_list = ['base']
# Remove mdadm, we add it ourselves if we need it
package_list.remove('mdadm')
# Remove lvm2, we add it ourselves if we need it
package_list.remove('lvm2')
# Add vim
package_list.append('vim')
# Check which kernel we're going to use
if ili_state.kernel == 'LTS':
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment